geronimo-xbean-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Jencks (JIRA)" <j...@apache.org>
Subject [jira] Commented: (XBEAN-150) OSGI imports for xbean-blueprint need some updates to better support equinox
Date Wed, 21 Jul 2010 21:15:53 GMT

    [ https://issues.apache.org/jira/browse/XBEAN-150?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12890898#action_12890898
] 

David Jencks commented on XBEAN-150:
------------------------------------

rev 966420.

Made javax.script optional, made the version range on org.osgi.service.cm [1.0,2.0)

Please close if it now works ok...

> OSGI imports for xbean-blueprint need some updates to better support equinox
> ----------------------------------------------------------------------------
>
>                 Key: XBEAN-150
>                 URL: https://issues.apache.org/jira/browse/XBEAN-150
>             Project: XBean
>          Issue Type: Bug
>    Affects Versions: 3.7
>            Reporter: Daniel Kulp
>
> The imports for xbeans-blueprint has two issues:
> javax.script is required.   I believe this can and should be marked optional.
> org.osgi.service.cm is marked as requiring version 1.3.0.   However, I THINK this could
be changed to [1.2,1.4) or similar.   The main issue is that the version that equinox provides
for Helios is 1.2.1.   Thus, xbeans-blueprint won't really work with equinox without adding
additional/new/updated osgi system level stuff which people may be hesitant to do.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message